Hydrilla
Get API Key
POST/v1/3d/image-to-3d2 credits · 1024 / 4 credits · 1536

Image to 3D Reconstruction

Reconstruct a production-ready 3D mesh (.glb) from a single concept image. Supports either JSON image URL or multipart file upload.

AuthenticationAuthorization: Bearer hyd_live_your_api_key_here
Base URLhttps://backend.hydrilla.ai

Overview

Reconstruct a production-ready 3D mesh (.glb) from a single concept image. Supports either JSON image URL or multipart file upload.

Request bodyapplication/json or multipart/form-data

ParameterTypeRequiredDefaultDescription
image_url#stringoptional—Public HTTPS URL of the reference concept image (optional if uploading a file via multipart).
image#fileoptional—Direct binary upload of PNG, JPEG, or WebP image via multipart/form-data.
resolution#numberoptional1536Cascade mesh resolution: 1024 (fast draft) or 1536 (ultra high resolution).
webhook_url#stringoptional—Optional HTTPS webhook endpoint to notify when reconstruction finishes.
image_urloptional
string

Public HTTPS URL of the reference concept image (optional if uploading a file via multipart).

imageoptional
file

Direct binary upload of PNG, JPEG, or WebP image via multipart/form-data.

resolutionoptional
numberdefault: 1536

Cascade mesh resolution: 1024 (fast draft) or 1536 (ultra high resolution).

webhook_urloptional
string

Optional HTTPS webhook endpoint to notify when reconstruction finishes.

Response

Successful requests return the job object. Errors use the status codes below.

Authentication errors

401 — Invalid or revoked API key. 402 — Not enough credits.

bashrequest.sh
curl -X POST https://backend.hydrilla.ai/v1/3d/image-to-3d \
  -H "Authorization: Bearer hyd_live_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://storage.googleapis.com/assets/concept-drone.png",
    "resolution": 1536
  }'
json200_SUCCESS.json
{
  "id": "job_9b1deb4d3b7d4e8b82",
  "status": "queued",
  "resolution": 1536,
  "created_at": "2026-09-30T10:00:00.000Z",
  "eta_seconds": 45,
  "links": {
    "poll": "https://backend.hydrilla.ai/v1/3d/tasks/job_9b1deb4d3b7d4e8b82"
  }
}
Response fields
  • id string
  • status string
  • resolution number
  • created_at string
  • eta_seconds number
  • links object
    • poll string

Was this page helpful?